<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>CppAttribute xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppAttribute.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2014 CEA LIST.</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * </em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> *     CEA LIST - initial API and implementation</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.cpp.codegen.xtend;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> com.google.common.base.Objects;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> java.util.Collection;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.util.EList;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.codegen.utils.CppGenUtils;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.codegen.utils.Modifier;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.codegen.xtend.CppDocumentation;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Classifier;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.DataType;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Interface;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Property;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Signal;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Type;
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.ValueSpecification;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtend2.lib.StringConcatenation;
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <strong class="jxr_keyword">import</strong> org.eclipse.xtext.xbase.lib.CollectionLiterals;
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <em class="jxr_javadoccomment"> * @author Önder GÜRCAN (onder.gurcan@cea.fr)</em>
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  @SuppressWarnings(<span class="jxr_string">"all"</span>)
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/codegen/xtend/CppAttribute.html">CppAttribute</a> {
<a class="jxr_linenumber" name="L34" href="#L34">34</a>    <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> String CppStaticAttributes(<strong class="jxr_keyword">final</strong> Classifier classifier) {
<a class="jxr_linenumber" name="L35" href="#L35">35</a>      StringConcatenation _builder = <strong class="jxr_keyword">new</strong> StringConcatenation();
<a class="jxr_linenumber" name="L36" href="#L36">36</a>      _builder.append(<span class="jxr_string">"// static attributes (if any)"</span>);
<a class="jxr_linenumber" name="L37" href="#L37">37</a>      _builder.newLine();
<a class="jxr_linenumber" name="L38" href="#L38">38</a>      {
<a class="jxr_linenumber" name="L39" href="#L39">39</a>        Collection&lt;Property&gt; _ownedAttributes = CppAttribute.getOwnedAttributes(classifier);
<a class="jxr_linenumber" name="L40" href="#L40">40</a>        <strong class="jxr_keyword">for</strong>(<strong class="jxr_keyword">final</strong> Property ownedAttribute : _ownedAttributes) {
<a class="jxr_linenumber" name="L41" href="#L41">41</a>          {
<a class="jxr_linenumber" name="L42" href="#L42">42</a>            <strong class="jxr_keyword">boolean</strong> _isStatic = ownedAttribute.isStatic();
<a class="jxr_linenumber" name="L43" href="#L43">43</a>            <strong class="jxr_keyword">if</strong> (_isStatic) {
<a class="jxr_linenumber" name="L44" href="#L44">44</a>              CharSequence _CppStaticAttributeImplementation = CppAttribute.CppStaticAttributeImplementation(ownedAttribute);
<a class="jxr_linenumber" name="L45" href="#L45">45</a>              _builder.append(_CppStaticAttributeImplementation, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L46" href="#L46">46</a>              _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L47" href="#L47">47</a>            }
<a class="jxr_linenumber" name="L48" href="#L48">48</a>          }
<a class="jxr_linenumber" name="L49" href="#L49">49</a>        }
<a class="jxr_linenumber" name="L50" href="#L50">50</a>      }
<a class="jxr_linenumber" name="L51" href="#L51">51</a>      String code = _builder.toString();
<a class="jxr_linenumber" name="L52" href="#L52">52</a>      <strong class="jxr_keyword">return</strong> code;
<a class="jxr_linenumber" name="L53" href="#L53">53</a>    }
<a class="jxr_linenumber" name="L54" href="#L54">54</a>    
<a class="jxr_linenumber" name="L55" href="#L55">55</a>    <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> Collection&lt;Property&gt; getOwnedAttributes(<strong class="jxr_keyword">final</strong> Classifier cl) {
<a class="jxr_linenumber" name="L56" href="#L56">56</a>      Collection&lt;Property&gt; _xblockexpression = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L57" href="#L57">57</a>      {
<a class="jxr_linenumber" name="L58" href="#L58">58</a>        <strong class="jxr_keyword">final</strong> EList&lt;Property&gt; attributes = CppAttribute.getOwnedAttributesWNull(cl);
<a class="jxr_linenumber" name="L59" href="#L59">59</a>        Collection&lt;Property&gt; _xifexpression = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L60" href="#L60">60</a>        <strong class="jxr_keyword">boolean</strong> _equals = Objects.equal(attributes, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="L61" href="#L61">61</a>        <strong class="jxr_keyword">if</strong> (_equals) {
<a class="jxr_linenumber" name="L62" href="#L62">62</a>          _xifexpression = CollectionLiterals.&lt;Property&gt;emptySet();
<a class="jxr_linenumber" name="L63" href="#L63">63</a>        } <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L64" href="#L64">64</a>          _xifexpression = attributes;
<a class="jxr_linenumber" name="L65" href="#L65">65</a>        }
<a class="jxr_linenumber" name="L66" href="#L66">66</a>        _xblockexpression = _xifexpression;
<a class="jxr_linenumber" name="L67" href="#L67">67</a>      }
<a class="jxr_linenumber" name="L68" href="#L68">68</a>      <strong class="jxr_keyword">return</strong> _xblockexpression;
<a class="jxr_linenumber" name="L69" href="#L69">69</a>    }
<a class="jxr_linenumber" name="L70" href="#L70">70</a>    
<a class="jxr_linenumber" name="L71" href="#L71">71</a>    <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> EList&lt;Property&gt; getOwnedAttributesWNull(<strong class="jxr_keyword">final</strong> Classifier cl) {
<a class="jxr_linenumber" name="L72" href="#L72">72</a>      EList&lt;Property&gt; _xifexpression = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L73" href="#L73">73</a>      <strong class="jxr_keyword">if</strong> ((cl instanceof org.eclipse.uml2.uml.Class)) {
<a class="jxr_linenumber" name="L74" href="#L74">74</a>        _xifexpression = ((org.eclipse.uml2.uml.Class) cl).getOwnedAttributes();
<a class="jxr_linenumber" name="L75" href="#L75">75</a>      } <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L76" href="#L76">76</a>        EList&lt;Property&gt; _xifexpression_1 = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L77" href="#L77">77</a>        <strong class="jxr_keyword">if</strong> ((cl instanceof DataType)) {
<a class="jxr_linenumber" name="L78" href="#L78">78</a>          _xifexpression_1 = ((DataType) cl).getOwnedAttributes();
<a class="jxr_linenumber" name="L79" href="#L79">79</a>        } <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L80" href="#L80">80</a>          EList&lt;Property&gt; _xifexpression_2 = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L81" href="#L81">81</a>          <strong class="jxr_keyword">if</strong> ((cl instanceof Interface)) {
<a class="jxr_linenumber" name="L82" href="#L82">82</a>            _xifexpression_2 = ((Interface) cl).getOwnedAttributes();
<a class="jxr_linenumber" name="L83" href="#L83">83</a>          } <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L84" href="#L84">84</a>            EList&lt;Property&gt; _xifexpression_3 = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L85" href="#L85">85</a>            <strong class="jxr_keyword">if</strong> ((cl instanceof Signal)) {
<a class="jxr_linenumber" name="L86" href="#L86">86</a>              _xifexpression_3 = ((Signal) cl).getOwnedAttributes();
<a class="jxr_linenumber" name="L87" href="#L87">87</a>            } <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L88" href="#L88">88</a>              _xifexpression_3 = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L89" href="#L89">89</a>            }
<a class="jxr_linenumber" name="L90" href="#L90">90</a>            _xifexpression_2 = _xifexpression_3;
<a class="jxr_linenumber" name="L91" href="#L91">91</a>          }
<a class="jxr_linenumber" name="L92" href="#L92">92</a>          _xifexpression_1 = _xifexpression_2;
<a class="jxr_linenumber" name="L93" href="#L93">93</a>        }
<a class="jxr_linenumber" name="L94" href="#L94">94</a>        _xifexpression = _xifexpression_1;
<a class="jxr_linenumber" name="L95" href="#L95">95</a>      }
<a class="jxr_linenumber" name="L96" href="#L96">96</a>      <strong class="jxr_keyword">return</strong> _xifexpression;
<a class="jxr_linenumber" name="L97" href="#L97">97</a>    }
<a class="jxr_linenumber" name="L98" href="#L98">98</a>    
<a class="jxr_linenumber" name="L99" href="#L99">99</a>    <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> CharSequence CppStaticAttributeImplementation(<strong class="jxr_keyword">final</strong> Property attribute) {
<a class="jxr_linenumber" name="L100" href="#L100">100</a>     StringConcatenation _builder = <strong class="jxr_keyword">new</strong> StringConcatenation();
<a class="jxr_linenumber" name="L101" href="#L101">101</a>     CharSequence _CppElementDoc = CppDocumentation.CppElementDoc(attribute);
<a class="jxr_linenumber" name="L102" href="#L102">102</a>     _builder.append(_CppElementDoc, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L103" href="#L103">103</a>     _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L104" href="#L104">104</a>     String _modCVQualifier = Modifier.modCVQualifier(attribute);
<a class="jxr_linenumber" name="L105" href="#L105">105</a>     _builder.append(_modCVQualifier, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L106" href="#L106">106</a>     _builder.append(<span class="jxr_string">" "</span>);
<a class="jxr_linenumber" name="L107" href="#L107">107</a>     Type _type = attribute.getType();
<a class="jxr_linenumber" name="L108" href="#L108">108</a>     String _cppQualifiedName = CppGenUtils.cppQualifiedName(_type);
<a class="jxr_linenumber" name="L109" href="#L109">109</a>     _builder.append(_cppQualifiedName, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L110" href="#L110">110</a>     String _modPtr = Modifier.modPtr(attribute);
<a class="jxr_linenumber" name="L111" href="#L111">111</a>     _builder.append(_modPtr, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L112" href="#L112">112</a>     String _modRef = Modifier.modRef(attribute);
<a class="jxr_linenumber" name="L113" href="#L113">113</a>     _builder.append(_modRef, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L114" href="#L114">114</a>     _builder.append(<span class="jxr_string">"  "</span>);
<a class="jxr_linenumber" name="L115" href="#L115">115</a>     org.eclipse.uml2.uml.Class _<strong class="jxr_keyword">class</strong>_ = attribute.getClass_();
<a class="jxr_linenumber" name="L116" href="#L116">116</a>     String _name = _<strong class="jxr_keyword">class</strong>_.getName();
<a class="jxr_linenumber" name="L117" href="#L117">117</a>     _builder.append(_name, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L118" href="#L118">118</a>     _builder.append(<span class="jxr_string">"::"</span>);
<a class="jxr_linenumber" name="L119" href="#L119">119</a>     String _name_1 = attribute.getName();
<a class="jxr_linenumber" name="L120" href="#L120">120</a>     _builder.append(_name_1, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L121" href="#L121">121</a>     String _modArray = Modifier.modArray(attribute);
<a class="jxr_linenumber" name="L122" href="#L122">122</a>     _builder.append(_modArray, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L123" href="#L123">123</a>     String _defaultValue = CppAttribute.defaultValue(attribute);
<a class="jxr_linenumber" name="L124" href="#L124">124</a>     _builder.append(_defaultValue, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L125" href="#L125">125</a>     _builder.append(<span class="jxr_string">";"</span>);
<a class="jxr_linenumber" name="L126" href="#L126">126</a>     _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L127" href="#L127">127</a>     <strong class="jxr_keyword">return</strong> _builder;
<a class="jxr_linenumber" name="L128" href="#L128">128</a>   }
<a class="jxr_linenumber" name="L129" href="#L129">129</a>   
<a class="jxr_linenumber" name="L130" href="#L130">130</a>   <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> String defaultValue(<strong class="jxr_keyword">final</strong> Property attribute) {
<a class="jxr_linenumber" name="L131" href="#L131">131</a>     String _xifexpression = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L132" href="#L132">132</a>     <strong class="jxr_keyword">boolean</strong> _and = false;
<a class="jxr_linenumber" name="L133" href="#L133">133</a>     ValueSpecification _defaultValue = attribute.getDefaultValue();
<a class="jxr_linenumber" name="L134" href="#L134">134</a>     <strong class="jxr_keyword">boolean</strong> _notEquals = (!Objects.equal(_defaultValue, <strong class="jxr_keyword">null</strong>));
<a class="jxr_linenumber" name="L135" href="#L135">135</a>     <strong class="jxr_keyword">if</strong> (!_notEquals) {
<a class="jxr_linenumber" name="L136" href="#L136">136</a>       _and = false;
<a class="jxr_linenumber" name="L137" href="#L137">137</a>     } <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L138" href="#L138">138</a>       <strong class="jxr_keyword">boolean</strong> _isStatic = attribute.isStatic();
<a class="jxr_linenumber" name="L139" href="#L139">139</a>       _and = _isStatic;
<a class="jxr_linenumber" name="L140" href="#L140">140</a>     }
<a class="jxr_linenumber" name="L141" href="#L141">141</a>     <strong class="jxr_keyword">if</strong> (_and) {
<a class="jxr_linenumber" name="L142" href="#L142">142</a>       ValueSpecification _defaultValue_1 = attribute.getDefaultValue();
<a class="jxr_linenumber" name="L143" href="#L143">143</a>       String _stringValue = _defaultValue_1.stringValue();
<a class="jxr_linenumber" name="L144" href="#L144">144</a>       _xifexpression = (<span class="jxr_string">"="</span> + _stringValue);
<a class="jxr_linenumber" name="L145" href="#L145">145</a>     }
<a class="jxr_linenumber" name="L146" href="#L146">146</a>     <strong class="jxr_keyword">return</strong> _xifexpression;
<a class="jxr_linenumber" name="L147" href="#L147">147</a>   }
<a class="jxr_linenumber" name="L148" href="#L148">148</a>   
<a class="jxr_linenumber" name="L149" href="#L149">149</a>   <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> CharSequence CppAttributeDeclaration(<strong class="jxr_keyword">final</strong> Property attribute) {
<a class="jxr_linenumber" name="L150" href="#L150">150</a>     StringConcatenation _builder = <strong class="jxr_keyword">new</strong> StringConcatenation();
<a class="jxr_linenumber" name="L151" href="#L151">151</a>     CharSequence _CppElementDoc = CppDocumentation.CppElementDoc(attribute);
<a class="jxr_linenumber" name="L152" href="#L152">152</a>     _builder.append(_CppElementDoc, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L153" href="#L153">153</a>     _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L154" href="#L154">154</a>     String _staticValue = CppAttribute.staticValue(attribute);
<a class="jxr_linenumber" name="L155" href="#L155">155</a>     _builder.append(_staticValue, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L156" href="#L156">156</a>     _builder.append(<span class="jxr_string">" "</span>);
<a class="jxr_linenumber" name="L157" href="#L157">157</a>     String _modCVQualifier = Modifier.modCVQualifier(attribute);
<a class="jxr_linenumber" name="L158" href="#L158">158</a>     _builder.append(_modCVQualifier, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L159" href="#L159">159</a>     Type _type = attribute.getType();
<a class="jxr_linenumber" name="L160" href="#L160">160</a>     String _cppQualifiedName = CppGenUtils.cppQualifiedName(_type);
<a class="jxr_linenumber" name="L161" href="#L161">161</a>     _builder.append(_cppQualifiedName, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L162" href="#L162">162</a>     String _modPtr = Modifier.modPtr(attribute);
<a class="jxr_linenumber" name="L163" href="#L163">163</a>     _builder.append(_modPtr, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L164" href="#L164">164</a>     String _modRef = Modifier.modRef(attribute);
<a class="jxr_linenumber" name="L165" href="#L165">165</a>     _builder.append(_modRef, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L166" href="#L166">166</a>     _builder.append(<span class="jxr_string">" "</span>);
<a class="jxr_linenumber" name="L167" href="#L167">167</a>     String _name = attribute.getName();
<a class="jxr_linenumber" name="L168" href="#L168">168</a>     _builder.append(_name, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L169" href="#L169">169</a>     String _modArray = Modifier.modArray(attribute);
<a class="jxr_linenumber" name="L170" href="#L170">170</a>     _builder.append(_modArray, <span class="jxr_string">""</span>);
<a class="jxr_linenumber" name="L171" href="#L171">171</a>     _builder.append(<span class="jxr_string">";"</span>);
<a class="jxr_linenumber" name="L172" href="#L172">172</a>     _builder.newLineIfNotEmpty();
<a class="jxr_linenumber" name="L173" href="#L173">173</a>     <strong class="jxr_keyword">return</strong> _builder;
<a class="jxr_linenumber" name="L174" href="#L174">174</a>   }
<a class="jxr_linenumber" name="L175" href="#L175">175</a>   
<a class="jxr_linenumber" name="L176" href="#L176">176</a>   <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> String staticValue(<strong class="jxr_keyword">final</strong> Property attribute) {
<a class="jxr_linenumber" name="L177" href="#L177">177</a>     String _xifexpression = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L178" href="#L178">178</a>     <strong class="jxr_keyword">boolean</strong> _isStatic = attribute.isStatic();
<a class="jxr_linenumber" name="L179" href="#L179">179</a>     <strong class="jxr_keyword">if</strong> (_isStatic) {
<a class="jxr_linenumber" name="L180" href="#L180">180</a>       _xifexpression = <span class="jxr_string">"static"</span>;
<a class="jxr_linenumber" name="L181" href="#L181">181</a>     }
<a class="jxr_linenumber" name="L182" href="#L182">182</a>     <strong class="jxr_keyword">return</strong> _xifexpression;
<a class="jxr_linenumber" name="L183" href="#L183">183</a>   }
<a class="jxr_linenumber" name="L184" href="#L184">184</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
